import time


def bilet(man, child_7, child_14, cost):
    bilet_cost = (man + child_7 * 0.5 + child_14 * 0.7) * cost
    return (bilet_cost)


def habitation(man, cost_day, days, dop_cost, dsm):
    habitation_cost = cost_day * days + dop_cost * dsm
    return (habitation_cost)


def transport(man, n_trips, days, transport_cost_m, transport_cost_7, transport_cost_14, child_7, child_14, t):
    transport_cost = (t * transport_cost_m + child_7 * transport_cost_7 + child_14 * transport_cost_14) * n_trips * days
    return (transport_cost)


def food(man, cost_eda, n_eda, days, child_7, child_14):
    food_cost = (man + child_7 * 0.7 + child_14) * cost_eda * n_eda * days
    return (food_cost)


def total(t, man, child_7, child_14, cost, cost_day, days, n_trips, transport_cost_m, transport_cost_7,
          transport_cost_14, cost_eda, n_eda, dop_cost, dsm):
    total_cost = bilet(man, child_7, child_14, cost) + habitation(man, cost_day, days, dop_cost, dsm) + transport(man, n_trips, days, transport_cost_m, transport_cost_7, transport_cost_14, child_7, child_14, t) + food(man, cost_eda, n_eda, days, child_7, child_14)
    print("Итого, сумма всех расходов составила: ", total_cost)


transport_cost_m = 0
transport_cost_7 = 0
transport_cost_14 = 0
dsm = 0

print("Здравствуйте, Вас приветствует автоматический калькулятор для ваших поездок в города AutomaticTravel")
print("Программа посчитает сколько денег Вам нужно взять с собой в поездку")
print("В программе на выбор есть несколько городов:\n1)Санкт-Петербург\n2)Сочи\n3)Пекин\n4)Нью-Йорк\n5)Мадрид")
print("Выбирете город в который хотите отправиться:")
city = input()
if (city == "Санкт-Петербург" or city == "Сочи" or city == "Пекин" or city == "Нью-Йорк" or city == "Мадрид"):
    print("Отлично, Вы выбрали город " + city)
else:
    while (city != "Санкт-Петербург" or city != "Сочи" or city != "Пекин" or city != "Нью-Йорк" or city != "Мадрид"):
        print(
            "Кажется такого города нет в нашем списке.\nПожалуйста выберите город из списка ниже:\n1)Санкт-Петербург\n2)Сочи\n3)Пекин\n4)Нью-Йорк\n5)Мадрид")
        city = input()
        if (city == "Санкт-Петербург" or city == "Сочи" or city == "Пекин" or city == "Нью-Йорк" or city == "Мадрид"):
            print("Отлично, Вы выбрали город " + city)
            break
print("На сколько дней Вы собираетесь в " + city + "?\nПожалуйста, используйте натуральные числа, отличные от нуля:")
d = input()
if (d.isdigit() == 1):
    days = int(d)
    if (days == 0):
        print(
            "AutomaticTravel заметил ошибку 'Указан 0' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
        exit(0)
else:
    print(
        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
    exit(0)
print(
    "Хорошо, каким бы классом вы хотели бы отправиться?\nAutomaticTravel предоставляет 3 вида классов перелетов:\n1)Эконом\n2)Комфорт\n3)Бизнес")
klass = input()
if (klass != "Эконом" and klass != "Комфорт" and klass != "Бизнес"):
    print(
        "AutomaticTravel заметил ошибку 'Указан не существующий класс' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
    exit(0)
else:
    print("Отлично, выбран класс " + klass)
print(
    "Сколько взрослых людей (старше 14 лет) полетит с Вами в " + city + "?\nПожалуйста, используйте натуральные числа:")
m = input()
if (m.isdigit() == 1):
    man = int(m)
    if (man == 0):
        print(
            "AutomaticTravel заметил ошибку 'Указан 0' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
        exit(0)
    elif (man == 1):
        print("Итак у вас " + str(man) + " взрослый\nА летят ли с вами дети?\nПожалуйста ответьте 'Да' или 'Нет'.")
    else:
        print("Итак у вас " + str(man) + " взрослых\nА летят ли с вами дети?\nПожалуйста ответьте 'Да' или 'Нет'.")
else:
    print(
        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
    exit(0)
yn = input()
if (yn == "Да" or yn == "да"):
    print(
        "Дети - это прекрасно. Напишите, пожалуйста:\nСколько полетит детей, которым до 7 лет.\nСколько полетит детей, которым от 7 до 14 лет.\nЭто нужно для того, чтобы программа смогла рассчитать скидку.\nПожалуйста используйте натуральные числа:")
    print("Сколько детей до 7:")
    c7 = input()
    print("Сколько детей от 7 до 14:")
    c14 = input()
    if (c7.isdigit() == 1 and c14.isdigit() == 1):
        child_7 = int(c7)
        child_14 = int(c14)
        if (child_7 == 0 and child_14 == 0):
            print(
                "AutomaticTravel заметил ошибку 'Нет ни одного ребенка' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
            exit(0)
        else:
            if (child_7 == 1 and child_14 == 1):
                print("Значит у вас " + str(child_7 + child_14) + " детей. " + str(
                    child_7) + " ребенок до 7 лет и " + str(child_14) + " ребенок от 7 до 14 лет.")
            elif (child_7 > 0 and child_14 == 1):
                print(
                    "Значит у вас " + str(child_7 + child_14) + " детей. " + str(child_7) + " детей до 7 лет и " + str(
                        child_14) + " ребенок от 7 до 14 лет.")
            elif (child_7 == 1 and child_14 > 0):
                print("Значит у вас " + str(child_7 + child_14) + " детей. " + str(
                    child_7) + " ребенок до 7 лет и " + str(child_14) + " детей от 7 до 14 лет.")
            elif (child_7 > 0 and child_14 > 0):
                print(
                    "Значит у вас " + str(child_7 + child_14) + " детей. " + str(child_7) + " детей до 7 лет и " + str(
                        child_14) + " детей от 7 до 14 лет.")
            elif (child_7 == 0 and child_14 == 1):
                print("Значит у вас " + str(child_7 + child_14) + " ребенок. " + str(
                    child_7) + " детей до 7 лет и " + str(child_14) + " ребенок от 7 до 14 лет.")
            elif (child_7 == 1 and child_14 == 0):
                print("Значит у вас " + str(child_7 + child_14) + " ребенок. " + str(
                    child_7) + " ребенок до 7 лет и " + str(child_14) + " детей от 7 до 14 лет.")
    else:
        print(
            "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
        exit(0)
    print(
        "В целях экономии ваших средств программа подобрала 3 лучших отеля в городе с различным уровнем сервиса.\nПожалуйста, выберите сколько звезд будет иметь ваш будущий отель.\n3\n4\n5\nЧтобы выбрать, пожалуйста, напишите цифру из списка выше:")
    star = input()
    if (star != "3" and star != "4" and star != "5"):
        print(
            "AutomaticTravel заметил ошибку 'Указано неверное значение' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
        exit(0)
    else:
        if (star == "3"):
            print(
                "Отличный выбор, 3-х звездочный отель 'BudjetHotel' имеет 3 вида номеров:\n1)Одноместный номер(1 спальное место)\n2)Двухместный номер(2 спальных места)\n3)Трехместный номер(3 спальных места)")
            print(
                "Наша программа умеет подсчитывать номера так, чтобы затраты на проживание были минимальны.\nНо вы также можете выбрать номер самостоятельно.")
            print(
                "Если Вы хотите, чтобы программа выбрала номера - напишите 'Программа'.\nЕсли Вы хотите выбрать номера самостоятельно - напишите 'Сам' или 'Сама'.")
            sp = input()
            if (sp == 'Программа'):
                if (child_7 + child_14 - man >= man + 1):
                    dsm = man + child_7 + child_14 - man * 3
                    print("AutomaticTravel заметил ошибку при которой дальнейший подсчет приостановлен")
                    print("В нашей базе данных все отели имеют трехместные номера")
                    print(
                        "Чтобы Вы смогли поселиться в отеле, необходимо:\nЧтобы на 1 взрослого приходилось не больше 2 детей")
                    print(
                        "На такой случай во всех отелях предусмотрена функция:\nДополнительное спальное место в номер")
                    print(
                        "Чтобы, продолжить подсчет Вам будет добавлена функция:\nДополнительное спальное место в номер: " + str(
                            dsm))
                    print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                        man) + "\nДополнительных спальных мест в номер: " + str(dsm))
                else:
                    dsm = 0
                    p = man + child_7 + child_14
                    if (p % 3 == 2):
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                            p // 3) + "\nДвухместных номеров: 1")
                        r3 = p // 3
                        r2 = 1
                        r1 = 0
                    elif (p % 3 == 1):
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                            p // 3) + "\nОдноместных номеров: 1")
                        r3 = p // 3
                        r2 = 0
                        r1 = 1
                    else:
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(p // 3))
                        r3 = p // 3
                        r2 = 0
                        r1 = 0
            elif (sp == 'Сам' or sp == 'Сама' or sp == 'сам' or sp == 'сама'):
                p = man + child_7 + child_14
                print("Укажите, пожалуйста сколько будет одноместных номеров:")
                room1 = input()
                if (room1.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r1 = int(room1)
                print("Укажите, пожалуйста сколько будет двухместных номеров:")
                room2 = input()
                if (room2.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r2 = int(room2)
                print("Укажите, пожалуйста сколько будет трехместных номеров:")
                room3 = input()
                if (room3.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r3 = int(room3)
                R = p - r1 - r2 * 2 - r3 * 3
                if (R <= 0):
                    print("Итак, для вас указано:\nОдноместных номеров: " + str(r1) + "\nДвухместных номеров: " + str(
                        r2) + "\nТрехместных номеров: " + str(r3))
                else:
                    print(
                        "AutomaticTravel заметил ошибку 'Недостаточно спальных мест' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
            else:
                print(
                    "AutomaticTravel заметил ошибку при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                exit(0)
            print(
                "В отеле 'BudjetHotel' находится фудкорт, с достаточно низкими ценами на еду и напитки.\nВам осталось лишь выбрать сколько раз в день вы будете кушать.\nПожалуйста, используйте натуральные числа:")
            e = input()
            if (e.isdigit() == 1):
                n_eda = int(e)
                if (n_eda == 0):
                    print(
                        "AutomaticTravel заметил ошибку 'Указан 0' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                elif (n_eda == 1 or n_eda >= 5):
                    print("Значит планируете есть " + str(n_eda) + " раз в день.")
                else:
                    print("Значит планируете есть " + str(n_eda) + " раза в день.")
            else:
                print(
                    "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                exit(0)
        if (star == "4"):
            print(
                "Отличный выбор, 4-х звездочный отель 'BudjetHotel' имеет 3 вида номеров:\n1)Одноместный номер(1 спальное место)\n2)Двухместный номер(2 спальных места)\n3)Трехместный номер(3 спальных места)")
            print(
                "Наша программа умеет подсчитывать номера так, чтобы затраты на проживание были минимальны.\nНо вы также можете выбрать номер самостоятельно.")
            print(
                "Если Вы хотите, чтобы программа выбрала номера - напишите 'Программа'.\nЕсли Вы хотите выбрать номера самостоятельно - напишите 'Сам' или 'Сама'.")
            sp = input()
            if (sp == 'Программа'):
                if (child_7 + child_14 - man >= man + 1):
                    dsm = man + child_7 + child_14 - man * 3
                    print("AutomaticTravel заметил ошибку при которой дальнейший подсчет приостановлен")
                    print("В нашей базе данных все отели имеют трехместные номера")
                    print(
                        "Чтобы Вы смогли поселиться в отеле, необходимо:\nЧтобы на 1 взрослого приходилось не больше 2 детей")
                    print(
                        "На такой случай во всех отелях предусмотрена функция:\nДополнительное спальное место в номер")
                    print(
                        "Чтобы, продолжить подсчет Вам будет добавлена функция:\nДополнительное спальное место в номер: " + str(
                            dsm))
                    print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                        man) + "\nДополнительных спальных мест в номер: " + str(dsm))
                else:
                    dsm = 0
                    p = man + child_7 + child_14
                    if (p % 3 == 2):
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                            p // 3) + "\nДвухместных номеров: 1")
                        r3 = p // 3
                        r2 = 1
                        r1 = 0
                    elif (p % 3 == 1):
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                            p // 3) + "\nОдноместных номеров: 1")
                        r3 = p // 3
                        r2 = 0
                        r1 = 1
                    else:
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(p // 3))
                        r3 = p // 3
                        r2 = 0
                        r1 = 0
            elif (sp == 'Сам' or sp == 'Сама' or sp == 'сам' or sp == 'сама'):
                p = man + child_7 + child_14
                print("Укажите, пожалуйста сколько будет одноместных номеров:")
                room1 = input()
                if (room1.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r1 = int(room1)
                print("Укажите, пожалуйста сколько будет двухместных номеров:")
                room2 = input()
                if (room2.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r2 = int(room2)
                print("Укажите, пожалуйста сколько будет трехместных номеров:")
                room3 = input()
                if (room3.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r3 = int(room3)
                R = p - r1 - r2 * 2 - r3 * 3
                if (R <= 0):
                    print("Итак, для вас указано:\nОдноместных номеров: " + str(r1) + "\nДвухместных номеров: " + str(
                        r2) + "\nТрехместных номеров: " + str(r3))
                else:
                    print(
                        "AutomaticTravel заметил ошибку 'Недостаточно спальных мест' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
            else:
                print(
                    "AutomaticTravel заметил ошибку при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                exit(0)
            print(
                "В отеле 'NormalHotel' находится множество кафе и ресторанов среднего уровня.\nВам осталось лишь выбрать сколько раз в день вы будете кушать.\nПожалуйста, используйте натуральные числа:")
            e = input()
            if (e.isdigit() == 1):
                n_eda = int(e)
                if (n_eda == 0):
                    print(
                        "AutomaticTravel заметил ошибку 'Указан 0' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                elif (n_eda == 1 or n_eda >= 5):
                    print("Значит планируете есть " + str(n_eda) + " раз в день.")
                else:
                    print("Значит планируете есть " + str(n_eda) + " раза в день.")
            else:
                print(
                    "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                exit(0)
        if (star == "5"):
            print(
                "Отличный выбор, 5-ти звездочный отель 'MajorHotel' имеет 3 вида номеров:\n1)Одноместный номер(1 спальное место)\n2)Двухместный номер(2 спальных места)\n3)Трехместный номер(3 спальных места)")
            print(
                "Наша программа умеет подсчитывать номера так, чтобы затраты на проживание были минимальны.\nНо вы также можете выбрать номер самостоятельно.")
            print(
                "Если Вы хотите, чтобы программа выбрала номера - напишите 'Программа'.\nЕсли Вы хотите выбрать номера самостоятельно - напишите 'Сам' или 'Сама'.")
            sp = input()
            if (sp == 'Программа'):
                if (child_7 + child_14 - man >= man + 1):
                    dsm = man + child_7 + child_14 - man * 3
                    print("AutomaticTravel заметил ошибку при которой дальнейший подсчет приостановлен")
                    print("В нашей базе данных все отели имеют трехместные номера")
                    print(
                        "Чтобы Вы смогли поселиться в отеле, необходимо:\nЧтобы на 1 взрослого приходилось не больше 2 детей")
                    print(
                        "На такой случай во всех отелях предусмотрена функция:\nДополнительное спальное место в номер")
                    print(
                        "Чтобы, продолжить подсчет Вам будет добавлена функция:\nДополнительное спальное место в номер: " + str(
                            dsm))
                    print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                        man) + "\nДополнительных спальных мест в номер: " + str(dsm))
                else:
                    dsm = 0
                    p = man + child_7 + child_14
                    if (p % 3 == 2):
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                            p // 3) + "\nДвухместных номеров: 1")
                        r3 = p // 3
                        r2 = 1
                        r1 = 0
                    elif (p % 3 == 1):
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                            p // 3) + "\nОдноместных номеров: 1")
                        r3 = p // 3
                        r2 = 0
                        r1 = 1
                    else:
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(p // 3))
                        r3 = p // 3
                        r2 = 0
                        r1 = 0
            elif (sp == 'Сам' or sp == 'Сама' or sp == 'сам' or sp == 'сама'):
                p = man + child_7 + child_14
                print("Укажите, пожалуйста сколько будет одноместных номеров:")
                room1 = input()
                if (room1.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r1 = int(room1)
                print("Укажите, пожалуйста сколько будет двухместных номеров:")
                room2 = input()
                if (room2.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r2 = int(room2)
                print("Укажите, пожалуйста сколько будет трехместных номеров:")
                room3 = input()
                if (room3.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r3 = int(room3)
                R = p - r1 - r2 * 2 - r3 * 3
                if (R <= 0):
                    print("Итак, для вас указано:\nОдноместных номеров: " + str(r1) + "\nДвухместных номеров: " + str(
                        r2) + "\nТрехместных номеров: " + str(r3))
                else:
                    print(
                        "AutomaticTravel заметил ошибку 'Недостаточно спальных мест' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
            else:
                print(
                    "AutomaticTravel заметил ошибку при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                exit(0)
            print(
                "В отеле 'MajorHotel' находится только рестораны элитного уровня. А также имеется услуга 'Шеф-повар в номер'\nВам осталось лишь выбрать сколько раз в день вы будете кушать.\nПожалуйста, используйте натуральные числа:")
            e = input()
            if (e.isdigit() == 1):
                n_eda = int(e)
                if (n_eda == 0):
                    print(
                        "AutomaticTravel заметил ошибку 'Указан 0' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                elif (n_eda == 1 or n_eda >= 5):
                    print("Значит планируете есть " + str(n_eda) + " раз в день.")
                else:
                    print("Значит планируете есть " + str(n_eda) + " раза в день.")
            else:
                print(
                    "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                exit(0)
elif (yn == "Нет" or yn == "нет"):
    child_7 = 0
    child_14 = 0
    print("Хорошо, значит летят только взрослые.")
    print(
        "В целях экономии ваших средств программа подобрала 3 лучших отеля в городе с различным уровнем сервиса.\nПожалуйста, выберите сколько звезд будет иметь ваш будущий отель.\n3\n4\n5\nЧтобы выбрать, пожалуйста, напишите цифру из списка выше:")
    star = input()
    if (star != "3" and star != "4" and star != "5"):
        print(
            "AutomaticTravel заметил ошибку 'Указано неверное значение' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
        exit(0)
    else:
        if (star == "3"):
            print(
                "Отличный выбор, 3-х звездочный отель 'BudjetHotel' имеет 3 вида номеров:\n1)Одноместный номер(1 спальное место)\n2)Двухместный номер(2 спальных места)\n3)Трехместный номер(3 спальных места)")
            print(
                "Наша программа умеет подсчитывать номера так, чтобы затраты на проживание были минимальны.\nНо вы также можете выбрать номер самостоятельно.")
            print(
                "Если Вы хотите, чтобы программа выбрала номера - напишите 'Программа'.\nЕсли Вы хотите выбрать номера самостоятельно - напишите 'Сам' или 'Сама'.")
            sp = input()
            if (sp == 'Программа'):
                if (man == 1):
                    print("По результатам наших подсчетов у вас 1 одноместный номер")
                    r1 = 1
                    r2 = 0
                    r3 = 0
                elif (man == 2):
                    print("По результатам наших подсчетов у вас 1 двухместный номер")
                    r1 = 0
                    r2 = 1
                    r3 = 0
                elif (man == 3):
                    print("По результатам наших подсчетов у вас 1 трехместный номер")
                    r1 = 0
                    r2 = 0
                    r3 = 1
                else:
                    if (man % 3 == 2):
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                            man // 3) + "\nДвухместных номеров: 1")
                        r3 = man // 3
                        r2 = 1
                        r1 = 0
                    elif (man % 3 == 1):
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                            man // 3) + "\nОдноместных номеров: 1")
                        r3 = man // 3
                        r2 = 0
                        r1 = 1
                    else:
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(man // 3))
                        r3 = man // 3
                        r2 = 0
                        r1 = 0
            elif (sp == 'Сам' or sp == 'Сама' or sp == 'сам' or sp == 'сама'):
                p = man + child_7 + child_14
                print("Укажите, пожалуйста сколько будет одноместных номеров:")
                room1 = input()
                if (room1.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r1 = int(room1)
                print("Укажите, пожалуйста сколько будет двухместных номеров:")
                room2 = input()
                if (room2.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r2 = int(room2)
                print("Укажите, пожалуйста сколько будет трехместных номеров:")
                room3 = input()
                if (room3.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r3 = int(room3)
                R = p - r1 - r2 * 2 - r3 * 3
                if (R <= 0):
                    print("Итак, для вас указано:\nОдноместных номеров: " + str(r1) + "\nДвухместных номеров: " + str(
                        r2) + "\nТрехместных номеров: " + str(r3))
                else:
                    print(
                        "AutomaticTravel заметил ошибку 'Недостаточно спальных мест' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
            else:
                print(
                    "AutomaticTravel заметил ошибку при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                exit(0)
            print(
                "В отеле 'BudjetHotel' находится фудкорт, с достаточно низкими ценами на еду и напитки.\nВам осталось лишь выбрать сколько раз в день вы будете кушать.\nПожалуйста, используйте натуральные числа:")
            e = input()
            if (e.isdigit() == 1):
                n_eda = int(e)
                if (n_eda == 0):
                    print(
                        "AutomaticTravel заметил ошибку 'Указан 0' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                elif (n_eda == 1 or n_eda >= 5):
                    print("Значит планируете есть " + str(n_eda) + " раз в день.")
                else:
                    print("Значит планируете есть " + str(n_eda) + " раза в день.")
            else:
                print(
                    "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                exit(0)
        if (star == "4"):
            print(
                "Отличный выбор, 4-х звездочный отель 'BudjetHotel' имеет 3 вида номеров:\n1)Одноместный номер(1 спальное место)\n2)Двухместный номер(2 спальных места)\n3)Трехместный номер(3 спальных места)")
            print(
                "Наша программа умеет подсчитывать номера так, чтобы затраты на проживание были минимальны.\nНо вы также можете выбрать номер самостоятельно.")
            print(
                "Если Вы хотите, чтобы программа выбрала номера - напишите 'Программа'.\nЕсли Вы хотите выбрать номера самостоятельно - напишите 'Сам' или 'Сама'.")
            sp = input()
            if (sp == 'Программа'):
                if (man == 1):
                    print("По результатам наших подсчетов у вас 1 одноместный номер")
                    r1 = 1
                    r2 = 0
                    r3 = 0
                elif (man == 2):
                    print("По результатам наших подсчетов у вас 1 двухместный номер")
                    r1 = 0
                    r2 = 1
                    r3 = 0
                elif (man == 3):
                    print("По результатам наших подсчетов у вас 1 трехместный номер")
                    r1 = 0
                    r2 = 0
                    r3 = 1
                else:
                    if (man % 3 == 2):
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                            man // 3) + "\nДвухместных номеров: 1")
                        r3 = man // 3
                        r2 = 1
                        r1 = 0
                    elif (man % 3 == 1):
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                            man // 3) + "\nОдноместных номеров: 1")
                        r3 = man // 3
                        r2 = 0
                        r1 = 1
                    else:
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(man // 3))
                        r3 = man // 3
                        r2 = 0
                        r1 = 0
            elif (sp == 'Сам' or sp == 'Сама' or sp == 'сам' or sp == 'сама'):
                p = man + child_7 + child_14
                print("Укажите, пожалуйста сколько будет одноместных номеров:")
                room1 = input()
                if (room1.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r1 = int(room1)
                print("Укажите, пожалуйста сколько будет двухместных номеров:")
                room2 = input()
                if (room2.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r2 = int(room2)
                print("Укажите, пожалуйста сколько будет трехместных номеров:")
                room3 = input()
                if (room3.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r3 = int(room3)
                R = p - r1 - r2 * 2 - r3 * 3
                if (R <= 0):
                    print("Итак, для вас указано:\nОдноместных номеров: " + str(r1) + "\nДвухместных номеров: " + str(
                        r2) + "\nТрехместных номеров: " + str(r3))
                else:
                    print(
                        "AutomaticTravel заметил ошибку 'Недостаточно спальных мест' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
            else:
                print(
                    "AutomaticTravel заметил ошибку при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                exit(0)
            print(
                "В отеле 'NormalHotel' находится множество кафе и ресторанов среднего уровня.\nВам осталось лишь выбрать сколько раз в день вы будете кушать.\nПожалуйста, используйте натуральные числа:")
            e = input()
            if (e.isdigit() == 1):
                n_eda = int(e)
                if (n_eda == 0):
                    print(
                        "AutomaticTravel заметил ошибку 'Указан 0' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                elif (n_eda == 1 or n_eda >= 5):
                    print("Значит планируете есть " + str(n_eda) + " раз в день.")
                else:
                    print("Значит планируете есть " + str(n_eda) + " раза в день.")
            else:
                print(
                    "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                exit(0)
        if (star == "5"):
            print(
                "Отличный выбор, 5-ти звездочный отель 'MajorHotel' имеет 3 вида номеров:\n1)Одноместный номер(1 спальное место)\n2)Двухместный номер(2 спальных места)\n3)Трехместный номер(3 спальных места)")
            print(
                "Наша программа умеет подсчитывать номера так, чтобы затраты на проживание были минимальны.\nНо вы также можете выбрать номер самостоятельно.")
            print(
                "Если Вы хотите, чтобы программа выбрала номера - напишите 'Программа'.\nЕсли Вы хотите выбрать номера самостоятельно - напишите 'Сам' или 'Сама'.")
            sp = input()
            if (sp == 'Программа'):
                if (man == 1):
                    print("По результатам наших подсчетов у вас 1 одноместный номер")
                    r1 = 1
                    r2 = 0
                    r3 = 0
                elif (man == 2):
                    print("По результатам наших подсчетов у вас 1 двухместный номер")
                    r1 = 0
                    r2 = 1
                    r3 = 0
                elif (man == 3):
                    print("По результатам наших подсчетов у вас 1 трехместный номер")
                    r1 = 0
                    r2 = 0
                    r3 = 1
                else:
                    if (man % 3 == 2):
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                            man // 3) + "\nДвухместных номеров: 1")
                        r3 = man // 3
                        r2 = 1
                        r1 = 0
                    elif (man % 3 == 1):
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(
                            man // 3) + "\nОдноместных номеров: 1")
                        r3 = man // 3
                        r2 = 0
                        r1 = 1
                    else:
                        print("По результатам наших подсчетов у Вас\nТрехместных номеров: " + str(man // 3))
                        r3 = man // 3
                        r2 = 0
                        r1 = 0
            elif (sp == 'Сам' or sp == 'Сама' or sp == 'сам' or sp == 'сама'):
                p = man + child_7 + child_14
                print("Укажите, пожалуйста сколько будет одноместных номеров:")
                room1 = input()
                if (room1.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r1 = int(room1)
                print("Укажите, пожалуйста сколько будет двухместных номеров:")
                room2 = input()
                if (room2.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r2 = int(room2)
                print("Укажите, пожалуйста сколько будет трехместных номеров:")
                room3 = input()
                if (room3.isdigit() != 1):
                    print(
                        "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                else:
                    r3 = int(room3)
                R = p - r1 - r2 * 2 - r3 * 3
                if (R <= 0):
                    print("Итак, для вас указано:\nОдноместных номеров: " + str(r1) + "\nДвухместных номеров: " + str(
                        r2) + "\nТрехместных номеров: " + str(r3))
                else:
                    print(
                        "AutomaticTravel заметил ошибку 'Недостаточно спальных мест' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
            else:
                print(
                    "AutomaticTravel заметил ошибку при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                exit(0)
            print(
                "В отеле 'MajorHotel' находится только рестораны элитного уровня. А также имеется услуга 'Шеф-повар в номер'\nВам осталось лишь выбрать сколько раз в день вы будете кушать.\nПожалуйста, используйте натуральные числа:")
            e = input()
            if (e.isdigit() == 1):
                n_eda = int(e)
                if (n_eda == 0):
                    print(
                        "AutomaticTravel заметил ошибку 'Указан 0' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                    exit(0)
                elif (n_eda == 1 or n_eda >= 5):
                    print("Значит планируете есть " + str(n_eda) + " раз в день.")
                else:
                    print("Значит планируете есть " + str(n_eda) + " раза в день.")
            else:
                print(
                    "AutomaticTravel заметил ошибку 'Указано не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
                exit(0)
else:
    print(
        "AutomaticTravel заметил ошибку 'Введен не существующий ответ' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
    exit(0)
print("Напоследок, AutomaticTravel расчитает Вам стоимость передвижения на местном транспорте (туда и обратно).")
print(city + " большой город. Вы можете ездить хоть каждый день и будете посещать все время новые места")
print("Пожалуйста, укажите сколько мест в день Вы хотите посещать:")
place = input()
if (place.isdigit() == 1):
    n_trips = int(place)
    if (n_trips == 0):
        print(
            "AutomaticTravel заметил ошибку 'Указан 0' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
        exit(0)
    elif (n_trips == 1 or n_trips == 2):
        n_trips = n_trips * 2
        print("Хорошо, " + str(n_trips) + " поездки день")
    else:
        n_trips = n_trips * 2
        print("Хорошо, " + str(n_trips) + " поездок день")
else:
    print(
        "AutomaticTravel заметил ошибку 'Введено не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
    exit(0)
print(
    "Пожалуйста, укажите на каком виде транспорта Вы хотели бы осуществлять ваши поездки.\n1)Общественный транспорт\n2)Обычное такси\n3)VIP такси")
print("Чтобы выбрать вид транспорта, пожалуйста, напишите соответствующую цифру из списка выше:")
t_t = input()
t = 1
if (t_t.isdigit() == 1):
    tr = int(t_t)
    if (tr == 1):
        print("Отлично, вы будете ездить на общественном транспорте.")
    elif (tr == 2):
        if (man % 4 > 0):
            t = man // 4 + 1
        else:
            t = man // 3
        print("Отлично, вы будете ездить на обычном такси.")
    elif (tr == 3):
        if (man % 3 > 0):
            t = man // 3 + 1
        else:
            t = man // 3
        print("Отлично, вы будете ездить на обычном такси.")
    else:
        print(
            "AutomaticTravel заметил ошибку 'Выбран не существующий вид транспорта' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
        exit(0)
else:
    print(
        "AutomaticTravel заметил ошибку 'Введено не число' при которой дальнейший подсчет невозможен.\nПожалуйста, перезапустите программу и начините заново.")
    exit(0)

if (city == "Санкт-Петербург"):
    if (klass == "Эконом"):
        cost = 2030 * 2
    if (klass == "Комфорт"):
        cost = 3030 * 2
    if (klass == "Бизнес"):
        cost = 20620 * 2
if (city == "Сочи"):
    if (klass == "Эконом"):
        cost = 2400 * 2
    if (klass == "Комфорт"):
        cost = 3400 * 2
    if (klass == "Бизнес"):
        cost = 23125 * 2
if (city == "Пекин"):
    if (klass == "Эконом"):
        cost = 21788 * 2
    if (klass == "Комфорт"):
        cost = 40985 * 2
    if (klass == "Бизнес"):
        cost = 83092 * 2
if (city == "Нью-Йорк"):
    if (klass == "Эконом"):
        cost = 29338 * 2
    if (klass == "Комфорт"):
        cost = 52090 * 2
    if (klass == "Бизнес"):
        cost = 101307 * 2
if (city == "Мадрид"):
    if (klass == "Эконом"):
        cost = 10333 * 2
    if (klass == "Комфорт"):
        cost = 30263 * 2
    if (klass == "Бизнес"):
        cost = 122752 * 2
if (city == "Санкт-Петербург"):
    if (star == "3"):
        cost_day = 4500 * r1 + 5000 * r2 + 5400 * r3
        cost_eda = 450
        dop_cost = 20 * 4500 // 100
    if (star == "4"):
        cost_day = 5200 * r1 + 6700 * r2 + 8200 * r3
        cost_eda = 900
        dop_cost = 20 * 5200 // 100
    if (star == "5"):
        cost_day = 13500 * r1 + 23100 * r2 + 31200 * r3
        cost_eda = 3000
        dop_cost = 20 * 13500 // 100
if (city == "Сочи"):
    if (star == "3"):
        cost_day = 1275 * r1 + 1800 * r2 + 2100 * r3
        cost_eda = 450
        dop_cost = 20 * 1275 // 100
    if (star == "4"):
        cost_day = 5200 * r1 + 7100 * r2 + 9200 * r3
        cost_eda = 1800
        dop_cost = 20 * 5200 // 100
    if (star == "5"):
        cost_day = 16800 * r1 + 19750 * r2 + 22500 * r3
        cost_eda = 3300
        dop_cost = 20 * 16800 // 100
if (city == "Пекин"):
    if (star == "3"):
        cost_day = 3800 * r1 + 4515 * r2 + 5370 * r3
        cost_eda = 430
        dop_cost = 20 * 3800 // 100
    if (star == "4"):
        cost_day = 5200 * r1 + 7100 * r2 + 9200 * r3
        cost_eda = 1800
        dop_cost = 20 * 5200 // 100
    if (star == "5"):
        cost_day = 15170 * r1 + 20500 * r2 + 25640 * r3
        cost_eda = 2950
        dop_cost = 20 * 15170 // 100
if (city == "Нью-Йорк"):
    if (star == "3"):
        cost_day = 6600 * r1 + 9200 * r2 + 11700 * r3
        cost_eda = 2500
        dop_cost = 20 * 6600 // 100
    if (star == "4"):
        cost_day = 12000 * r1 + 13530 * r2 + 15000 * r3
        cost_eda = 2600
        dop_cost = 20 * 12000 // 100
    if (star == "5"):
        cost_day = 25510 * r1 + 39500 * r2 + 53385 * r3
        cost_eda = 4150
        dop_cost = 20 * 25510 // 100
if (city == "Мадрид"):
    if (star == "3"):
        cost_day = 3050 * r1 + 4550 * r2 + 5970 * r3
        cost_eda = 400
        dop_cost = 20 * 3050 // 100
    if (star == "4"):
        cost_day = 6690 * r1 + 7050 * r2 + 7410 * r3
        cost_eda = 1300
        dop_cost = 20 * 6690 // 100
    if (star == "5"):
        cost_day = 22050 * r1 + 27590 * r2 + 32317 * r3
        cost_eda = 4000
        dop_cost = 20 * 22050 // 100
if (city == "Санкт-Петербург"):
    if (tr == "1"):
        transport_cost_m = 50
        transport_cost_7 = 0
        transport_cost_14 = 25
    if (tr == "2"):
        transport_cost_m = 900
        transport_cost_7 = 0
        transport_cost_14 = 0
    if (tr == "3"):
        transport_cost_m = 3500
        transport_cost_7 = 0
        transport_cost_14 = 0
if (city == "Сочи"):
    if (tr == "1"):
        transport_cost_m = 50
        transport_cost_7 = 0
        transport_cost_14 = 25
    if (tr == "2"):
        transport_cost_m = 900
        transport_cost_7 = 0
        transport_cost_14 = 0
    if (tr == "3"):
        transport_cost_m = 3500
        transport_cost_7 = 0
        transport_cost_14 = 0
if (city == "Пекин"):
    if (tr == "1"):
        transport_cost_m = 250
        transport_cost_7 = 250
        transport_cost_14 = 250
    if (tr == "2"):
        transport_cost_m = 3000
        transport_cost_7 = 0
        transport_cost_14 = 0
    if (tr == "3"):
        transport_cost_m = 21430
        transport_cost_7 = 0
        transport_cost_14 = 0
if (city == "Нью-Йорк"):
    if (tr == "1"):
        transport_cost_m = 200
        transport_cost_7 = 200
        transport_cost_14 = 200
    if (tr == "2"):
        transport_cost_m = 1900
        transport_cost_7 = 0
        transport_cost_14 = 0
    if (tr == "3"):
        transport_cost_m = 12700
        transport_cost_7 = 0
        transport_cost_14 = 0
if (city == "Мадрид"):
    if (tr == "1"):
        transport_cost_m = 110
        transport_cost_7 = 65
        transport_cost_14 = 65
    if (tr == "2"):
        transport_cost_m = 1540
        transport_cost_7 = 0
        transport_cost_14 = 0
    if (tr == "3"):
        transport_cost_m = 5000
        transport_cost_7 = 0
        transport_cost_14 = 0
print("AutomaticTravel завершает подсчет.\nПожалуйста, подождите.")
time.sleep(3)
print("Спасибо за ожидание.\n ")

total(t, man, child_7, child_14, cost, cost_day, days, n_trips, transport_cost_m, transport_cost_7, transport_cost_14,
      cost_eda, n_eda, dop_cost, dsm)
